﻿using System.Collections.Generic;

using OpenPop.Mime;

namespace TestProject
{
    /// <summary>
    /// 메시지 노드
    /// </summary>
    public class MessageNode
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 노드명 - NodeName

        /// <summary>
        /// 노드명
        /// </summary>
        public string NodeName { get; set; }

        #endregion
        #region 메시지 파트 - MessagePart

        /// <summary>
        /// 메시지 파트
        /// </summary>
        public MessagePart MessagePart { get; set; }

        #endregion
        #region 자식 노드 리스트 - ChildNodeList

        /// <summary>
        /// 자식 노드 리스트
        /// </summary>
        public List<MessageNode> ChildNodeList { get; set; } = new List<MessageNode>();

        #endregion
    }
}